# Visualization
TKV3d
StdSelect

# StdSelect_FaceFilter Class Reference

A framework to define a filter to select a specific type of face.
The types available include:
- any face
- a planar face
- a cylindrical face
- a spherical face
- a toroidal face
- a revol face.
.

`#include <StdSelect_FaceFilter.hxx>`

Inheritance diagram for StdSelect_FaceFilter:

[legend]

## Public Member Functions

Standard_EXPORT | StdSelect_FaceFilter (const StdSelect_TypeOfFace aTypeOfFace)
| Constructs a face filter object defined by the type of face aTypeOfFace. .
Standard_EXPORT void | SetType (const StdSelect_TypeOfFace aNewType)
| Sets the type of face aNewType. aNewType is to be highlighted in selection. .
Standard_EXPORT StdSelect_TypeOfFace | Type () const
| Returns the type of face to be highlighted in selection. .
virtual Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&anobj) const

Indicates that the selected Interactive Object
passes the filter. The owner, anObj, can be either
direct or user. A direct owner is the corresponding
construction element, whereas a user is the
compound shape of which the entity forms a part.
When an object is detected by the mouse - in AIS,
this is done through a context selector - its owner
is passed to the filter as an argument.
If the object returns Standard_True, it is kept; if
not, it is rejected.
If you are creating a filter class inheriting this
framework, and the daughter class is to be used in
an AIS local context, you will need to implement the
virtual function ActsOn.
.

virtual Standard_EXPORT Standard_Boolean | ActsOn (const TopAbs_ShapeEnum aStandardMode) const
| Returns true in an AIS local context, if this filter operates on a type of subshape defined in a filter class inheriting this framework. This function completes IsOk in an AIS local context. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StdSelect_TypeOfFace | mytype

## Constructor & Destructor Documentation

Standard_EXPORT StdSelect_FaceFilter::StdSelect_FaceFilter | ( | const StdSelect_TypeOfFace | aTypeOfFace | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean StdSelect_FaceFilter::ActsOn | ( | const TopAbs_ShapeEnum | aStandardMode | ) | const`[virtual]`

| Reimplemented from SelectMgr_Filter.

Standard_EXPORT const StdSelect_FaceFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_Filter.

virtual Standard_EXPORT Standard_Boolean StdSelect_FaceFilter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | anobj | ) | const`[virtual]`

| Implements SelectMgr_Filter.

Standard_EXPORT void StdSelect_FaceFilter::SetType | ( | const StdSelect_TypeOfFace | aNewType | ) |

Standard_EXPORT StdSelect_TypeOfFace StdSelect_FaceFilter::Type | ( |  | ) | const

## Field Documentation

StdSelect_TypeOfFace StdSelect_FaceFilter::mytype `[private]`

The documentation for this class was generated from the following file:

- StdSelect_FaceFilter.hxx